aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorcnd <cynede@gentoo.org>2018-08-05 21:19:49 +0400
committerGitHub <noreply@github.com>2018-08-05 21:19:49 +0400
commit705aa0c481a565d297f2524d888ecc952a625c26 (patch)
tree3bb22fe03a2836dcd581ce94cdd0202e1cb2661f
parentMerge pull request #401 from lucianposton/code (diff)
parentdev-dotnet/dotnetcore-sdk-bin: (diff)
downloaddotnet-705aa0c481a565d297f2524d888ecc952a625c26.tar.gz
dotnet-705aa0c481a565d297f2524d888ecc952a625c26.tar.bz2
dotnet-705aa0c481a565d297f2524d888ecc952a625c26.zip
Merge pull request #402 from aidanharris/dotnetcore-sdk-bin_2.1.302
dev-dotnet/dotnetcore-sdk-bin:
-rw-r--r--dev-dotnet/dotnetcore-sdk-bin/Manifest2
-rw-r--r--dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.302.ebuild51
2 files changed, 53 insertions, 0 deletions
diff --git a/dev-dotnet/dotnetcore-sdk-bin/Manifest b/dev-dotnet/dotnetcore-sdk-bin/Manifest
index 1e15fdd..fa00841 100644
--- a/dev-dotnet/dotnetcore-sdk-bin/Manifest
+++ b/dev-dotnet/dotnetcore-sdk-bin/Manifest
@@ -1,3 +1,5 @@
DIST dotnet-sdk-2.1.102-linux-x64.tar.gz 160471459 SHA256 9ce5b9031099bd89ecea9180f48a39e6fbd388b651d4d9e99e95711662988343 SHA512 39bcc14c6453552ea5f400aac7b5838a0361dd15cc2ed9d2794f1185ac2e38c82478e32712e1ad483eeb4edf4b485bb799de26368fccacd98e6c0819f8ff7eef WHIRLPOOL 083237e48e92bb8e83f813d6c5e6cda398b6a38179f4da651ee7e7fa43045cf4e71ed5d3eeec2eb61a0843f37d6480ae55c609c34a0a3466e34d8a3e7a2a5f48
DIST dotnet-sdk-2.1.105-linux-x64.tar.gz 160514955 SHA256 e914b75b484d5b0e10958559358ae1e172cb250523e5ba1fffc4fe933ebb6523 SHA512 b5e71dee8720595b0eff7518cca49854ed183e7ca68b98e2ca0580be3f6893f25a1bb267367601f575529a0fd8c94bb379a1411564ed5beaa340a54f37a5e16a WHIRLPOOL 54af5da224db0fc003acc786f585f49d53b7211f074a9f7023f3d6095151507d8a566df8460cbbfc8c11a88913ac6892c0eb2dfc8e9d4b5bd058ef76f163e2d5
DIST dotnet-sdk-2.1.3-linux-x64.tar.gz 148274081 SHA256 e6432b824395d88a69b77cc50427f2b5a41d44964c377125c53f02783aaa5005 SHA512 509b88895fd5a6a90e245141eb52f188aa9ee7d20188c213892483c142900d6975013aef9ca6d8da986cc5617a2c3571e22318297c51578b871c047602757600 WHIRLPOOL 8970e566a9e64d85d697adf785d468bf35493b743011fd1bd3cc82be0de6bdf34752376590272951ba00182ee5a7b97b5ff572af1321c76e3237af40d07fbbbe
+DIST dotnet-sdk-2.1.302-linux-musl-x64.tar.gz 159796232 SHA256 419d8bcfbc8f898fcd7be040ce096a7429c7b994d7aa085ecfc8e99c44f0cb2b SHA512 0f9a6fcbad609ef1ff5b398de9a1f1bf59eebc59b28a4c8cfead28f0209bf77601d05d49f5ea1223c860a803fb82cd7e2401b6df290da34e54b36bdd8788ed48 WHIRLPOOL ae239c80c61e2ff9464a521c31215db17bfd743162ce829a9e55902d51fcb48bb3528b40be7f42ed7a733e6e1d8a2aedaa50adba99fcda17beed147138f1024d
+DIST dotnet-sdk-2.1.302-linux-x64.tar.gz 159799872 SHA256 2acaed79dfb54afd583a6316be63c4e497bad401e96477e4182a35960c4e1fa9 SHA512 2166986e360f1c3456a33723edb80349e6ede115be04a6331bfbfd0f412494684d174a0cfb21d2feb00d509ce342030160a4b5b445e393ad83bedb613a64bc66 WHIRLPOOL 246ba03dedbef30257435a8d1b4abbedbe280b7a6e7c7c463ee74a5997156ddcb89d172840f2c04aae0996f83cecd4614663cb6e50094e368c382c77c9bc4f0c
diff --git a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.302.ebuild b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.302.ebuild
new file mode 100644
index 0000000..82acb92
--- /dev/null
+++ b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.302.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit eutils
+
+DESCRIPTION=".NET Core SDK - binary precompiled for glibc and musl"
+HOMEPAGE="https://www.microsoft.com/net/core"
+LICENSE="MIT"
+
+_base_src_uri="https://download.microsoft.com/download/4/0/9/40920432-3302-47a8-b13c-bbc4848ad114"
+
+SRC_URI="
+ amd64? ( elibc_glibc? ( $_base_src_uri/dotnet-sdk-${PV}-linux-x64.tar.gz -> dotnet-sdk-${PV}-linux-x64.tar.gz ) )
+ amd64? ( elibc_musl? ( $_base_src_uri/dotnet-sdk-${PV}-linux-musl-x64.tar.gz -> dotnet-sdk-${PV}-linux-musl-x64.tar.gz ) )
+"
+
+SLOT="0"
+KEYWORDS="~amd64"
+
+# The sdk includes the runtime-bin and aspnet-bin so prevent from installing at the same time
+# dotnetcore-sdk is the source based build
+
+RDEPEND="
+ >=sys-apps/lsb-release-1.4
+ >=sys-devel/llvm-4.0
+ >=dev-util/lldb-4.0
+ >=sys-libs/libunwind-1.1-r1
+ >=dev-libs/icu-57.1
+ >=dev-util/lttng-ust-2.8.1
+ >=dev-libs/openssl-1.0.2h-r2
+ >=net-misc/curl-7.49.0
+ >=app-crypt/mit-krb5-1.14.2
+ >=sys-libs/zlib-1.2.8-r1
+ elibc_musl? ( >=dev-libs/libintl-0.19.8.1 )
+ !dev-dotnet/dotnetcore-sdk
+ !dev-dotnet/dotnetcore-runtime-bin
+ !dev-dotnet/dotnetcore-aspnet-bin
+"
+
+S=${WORKDIR}
+
+src_install() {
+ local dest="opt/dotnet_core"
+ dodir "${dest}"
+
+ local ddest="${D}${dest}"
+ cp -a "${S}"/* "${ddest}/" || die
+ dosym "/${dest}/dotnet" "/usr/bin/dotnet"
+}